For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lookup

Cardholder authentication lookup for 3DS. Initiates the authentication flow (frictionless or challenge) and returns the authentication outcome.

Cardholder Authentication API for 3DS

post
/v2/lookup

The Cardholder Authentication API for 3DS authenticates the cardholder and leads to a challenge flow or a frictionless flow adhering to the Strong Customer Authentication (SCA) directive. For further details, refer to Server-to-Server Payments with 3D Secure.

Authorizations
AuthorizationstringRequired

JWT Bearer token. Pass as: Authorization: Bearer <token>. The JWT must be signed with your Verifone-provisioned private key and must include entity_id, sub (user_id), and roles claims.

Body
account_age_indicatorstring · enumOptional

Length of time cardholder has had account. Possible Values: * 01 - No account * 02 - Created during transaction * 03 - Less than 30 days * 04 - 30-60 days * 05 - More than 60 days

Possible values:
account_change_datestring · dateOptional

Date the cardholder's account was last changed. This includes changes to the billing or shipping address, new payment accounts or new users added. Format: YYYYMMDD

account_change_indicatorstring · enumOptional

Length of time since the last change to the cardholder account. This includes shipping address, new payment account or new user added. Possible Values: * 01 - Changed during transaction * 02 - Less than 30 days * 03 - 30-60 days * 04 - More than 60 days

Possible values:
account_create_datestring · dateOptional

Date the cardholder opened the account. Format: YYYYMMDD

account_idstring · max: 64Optional

Additional cardholder account information.

Example: 123456789
account_purchasesnumber · max: 9999Optional

Number of purchases with this cardholder account during the previous six months.

account_pwd_change_datestring · dateOptional

Date the cardholder last changed or reset password on account. Format: YYYYMMDD

account_pwd_change_indicatorstring · enumOptional

Length of time since the cardholder changed or reset the password on the account. Possible Values: * 01 - No change * 02 - Changed during transaction * 03 - Less than 30 days * 04 - 30-60 days * 05 - More than 60 days

Possible values:
acs_window_sizestring · enumOptional

An override field that a merchant can pass in to set the challenge window size to display to the end cardholder.The ACS will reply with content that is formatted appropriately to this window size to allow for the best user experience. The sizes are width x height in pixels of the window displayed in the cardholder browser window. Possible values: * 01 - 250x400 * 02 - 390x400 * 03 - 500x600 * 04 - 600x400 * 05 - Full page

Possible values:
add_card_attemptsnumber · max: 999Optional

Number of add card attempts in the last 24 hours.

address_matchstring · enumOptional

Indicates whether cardholder billing and shipping addresses match. Possible Values: * Y - Shipping address matches billing address * N - Shipping address does not match billing address

Possible values:
aliasstring · max: 128Optional

An alias that uniquely identifies the account. NOTE: This field is required if Tokenization is enabled in the Merchant profile settings.

alternate_authentication_datastring · max: 2048Optional

Data that documents and supports a specific authentication process that was sent in the AlternateAuthenticationMethod field.

alternate_authentication_datestring · dateOptional

Date and time in UTC of the cardholder authentication. Format: YYYYMMDDHHMM

alternate_authentication_methodstring · enumOptional

Mechanism used by the cardholder to authenticate to the 3DS requester. Possible Values: * 01 - No authentication occurred (e.g. Guest Checkout) * 02 - Login to the cardholder account at the Merchant system using Merchant system credentials * 03 - Login to the cardholder account at the Merchant system using a Federated ID * 04 - Login to the cardholder account at the Merchant system using Issuer credentials * 05 - Login to the cardholder account at the Merchant system using third-party authentication * 06 - Login to the cardholder account at the Merchant system using FIDO Authenticator

Possible values:
authentication_indicatorstring · enumOptional

Indicates the type of Authentication request. 01 - Payment transaction 02 - Recurring transaction 03 - Installment transaction 04 - Add card 05 - Maintain card 06 - Cardholder verification as part of EMV token ID&V

Possible values:
amountnumber · max: 9007199254740991Required

The amount of the transaction.

billing_first_namestring · max: 22Required

Consumer's billing first name.

Example: Chris
billing_last_namestring · max: 22Required

Consumer's last name.

Example: Brown
billing_phonestring · max: 20Optional

Conditional: Consumer's phone number for billing address. This should be unformatted without hyphens. ITU/E.123 format with international prefix (+PPNNNNNNNNN...)

Example: 555-8675-309
billing_address_1string · max: 50Required

Consumer's billing address information.

Example: 8100 Tyler Blvd
billing_address_2string · max: 50Optional

Conditional: Consumer's billing address information.

Example: 1211A Victory Street
billing_address_3string · max: 50Optional

Conditional: Consumer's billing address information.

Example: 2740 Sunset Blvd
billing_citystring · max: 50Required

Consumer's city on their billing address.

Example: Mentor
billing_postal_codestring · max: 16Optional

Consumer's postal code of their billing address. Required unless market or regional mandate restricts sending this information.

Example: K44060
billing_statestring · max: 50Optional

Consumer's state or province of their billing address. Only the sub division code of the ISO 3166-2 format. For example, the subdivision code for the state of Texas in the United States and Berlin in Germany is respectively

  • Code: US-TX - Subdivision Code: TX
  • Code: DE-BE - Subdivision Code: BE Required unless market or regional mandate restricts sending this information, or State is not applicable for this country.
Example: OH
billing_country_codestringRequired

Consumer's alpha 2 digit ISO 3166 country code.

Example: US
cardstringOptional

The ID of the card that is checked for enrollment. Note: The card is required if encrypted_card or reuse_token is not provided.

encrypted_cardstringOptional

Client encrypted cardholder data. The cardholder data encrypted using the Verifone provided public key. This needs to be provided in base64 encoded format. The data to encrypt is a JSON with possible tags being cardNumber, sequenceNumber, cardholderName, startMonth, startYear, expiryMonth, expiryYear, cvv. Additionally a tag called captureTime must be presenting indicating the time the card was captured in UTC in format RFC 3339, section 5.6. eg. 2019-08-24T14:15:22Z. Sample JSON to encrypt:

    {
        "captureTime": '2019-08-24T14:15:22Z',
        "cardNumber": '5555555555554444',
        "expiryMonth": 1,
        "expiryYear": 2025,
        "cvv": '123',
    } 

Note: encrypted_card is required if card or reuse_token is not provided.

Example: U3dhZ2dlciByb2Nrcw==
public_key_aliasstringOptional

The alias for the public key used to encrypt this card. Note: public_key_alias is required if card or reuse_token is not provided.

reuse_tokenstring · min: 16 · max: 255Optional

The Verifone issued reuse token used to represent the previously stored cardholder data. Note: reuse_token is required if card or encrypted_card is not provided.

currency_codestring · min: 3 · max: 3Required

Alphabetical ISO 4217 currency code for the sale amount.

Example: USD
card_typestring · enumOptional

Type of cards used for purchase. Possible Values: * VSA - Visa * MSC - Mastercard * VSD - Visa Delta/Debit (UK) * VSE - Visa Electron * MAE - Maestro (UK, Spain & Austria) AMX - American Express * DSC - Discover * DIN - Diners * CBLA - Carte Blanche JCB - JCB * ENR - EnRoute * JAL - JAL * CTB - Carte Bleue * DNK - Dankort * CSI - CartaSi * EAN - Encoded Account Number UATP - UATP * MAEI - Maestro (International) * CB - Cartes Bancaires

Possible values:
category_codenumber · max: 9999Optional

Merchant category code (MCC) NOTE: This field is required by Mastercard and Visa Brazil extensions.

challenge_indicatorstring · enumOptional

NOTE: This is a 2.0 required field, Cardinal will default to 01 on Merchant Configuration - can be overridden by the merchant. Possible Values: * 01 - No preference * 02 - No challenge requested * 03 - Challenge requested (3DS Requestor Preference) * 04 - Challenge requested (Mandate) * 90 - Used to call the CB Scoring platform

Possible values:
device_info_idstringRequired

Device infromation ID that relates to the device data that was previously collected.

Example: 1_e852b685-6ba3-4f6a-bf30-183cbce64b92
delivery_emailstring · max: 255Optional

For electronic delivery, email address to which the merchandise was delivered.

Example: john.doe@example.com
delivery_time_framestring · enumOptional

Indicates the delivery timeframe. Possible Values: * 01 - Electronic delivery * 02 - Same day shipping * 03 - Overnight shipping * 04 - Two or more days shipping

Possible values:
device_channelstring · enumOptional

Determines the channel that the transaction came through. Possible Values: * SDK * Browser * 3RI NOTE: SDK will dynamically set SDK when using the Mobile SDK or Browser when customer is using our JavaScript SDK. Client will need to set 3RI for Merchant Initiated or 3RI transactions.

Possible values:
emailstringRequired

Consumer's email address.

Example: john.doe@example.com
fraud_activitystring · enumOptional

Indicates whether the merchant experienced suspicious activity (including previous fraud) on the account. Possible Values: * 01 - No suspicious activity * 02 - Suspicious activity observed

Possible values:
gift_card_amountnumber · max: 999999999999999Optional

The purchase amount total for prepaid gift cards in major units. Example: $123.45 USD = 12345

gift_card_countnumber · max: 99Optional

Total count of individual prepaid gift cards purchased.

gift_card_currency_codestring · min: 3 · max: 3Optional

ISO 4217 currency code for the gift card purchased.

Example: USD
installmentnumber · min: 2 · max: 999Optional

Indicates the maximum number of authorizations for installment payments. An integer value greater than 1 indicating the maximum number of permitted authorizations for installment payments. ** Required for Recurring and Installment transactions, when authenticationIndicator="02" & "03" **

merchant_referencestringRequired

Order Number or transaction identifier from the Merchant commerce website.

Example: order_123
merchant_scorestring · max: 20Optional

The global score calculated by the CB Scoring platform.

Example: 100
message_categorystring · enumOptional

Category of the message for a specific use case. Possible Values:

  • 01 - PA (payment)/ NPA (non payment) with amount 0
  • 02 - NPA (non payment) NOTE: Default is payment (01). Configured on Merchant account, or can be overridden on transaction.
Possible values:
phone_numberstringOptional

Cardholder's phone number. ITU/E.123 format with international prefix (+PPNNNNNNNNN...). Required unless market or regional mandate restricts sending this information.

Example: +1234567890
payment_account_agestring · dateOptional

Date when the payment account was added to the cardholder account. Format: YYYYMMDD

payment_account_indicatorstring · enumOptional

Indicates the length of time that the payment account was enrolled in the merchant account. Possible Values: * 01 - No account (guest checkout) * 02 - During the transaction * 03 - Less than 30 days * 04 - 30-60 days * 05 - More than 60 days

Possible values:
payment_use_casestring · enumOptional

The value from this field will be mapped to the data field on the CB-USECASE extension. NOTE: Required for CB transactions (required if MessageCategory = PA, or MessageCategory = NPA and AuthenticationIndicator = 02 or 03).

  • Possible Values:
    • 01 - Single Payment
    • 02 - Fixed Amount and Term Subscription
    • 03 - Payment By Instalments
    • 04 - Payment By Shipment
    • 05 - Other Recurring Payments
Possible values:
pre_order_datestring · dateOptional

Expected date that a pre-ordered purchase will be available. Format: YYYYMMDD

pre_order_indicatorstring · enumOptional

Indicates whether the cardholder is placing an order with a future availability or release date. Possible Values: * 01 - Merchandise available * 02 - Future availability

Possible values:
prior_authentication_datastring · max: 2048Optional

This field carry data that the ACS can use to verify the authentication process

prior_authentication_methodstring · enumOptional

Mechanism used by the Cardholder to previously authenticate to the 3DS Requestor. * 01 - Frictionless authentication occurred by ACS * 02 - Cardholder challenge occurred by ACS * 03 - AVS verified * 04 - Other issuer methods

Possible values:
prior_authentication_refstring · max: 36Optional

This data element contains a ACS Transaction ID for a prior authenticated transaction. For example, the first recurring transaction that was authenticated with the cardholder

Example: cfbdce5a-2604-4ab5-b959-90ae2854d281
prior_authentication_timestring · dateOptional

Date and time in UTC of the prior cardholder authentication. Format: YYYYMMDDHHMM

product_codestring · enumOptional

Merchant product code. Possible Values: * PHY - Goods/Service Purchase * CHA - Check Acceptance * ACF - Account Funding * QCT - Quasi-Cash Transaction * PAL - Prepaid Activation and Load NOTE: This value defaults to PHY. This field can be used to override that value if applicable.

Possible values:
purchase_datestring · dateOptional

Date of original purchase. Format: YYYYMMDDHHMMSS NOTE: If not passed, SDK will use current date. Required for recurring transactions. ** Required for Recurring and Installment transactions, when authenticationIndicator="02" & "03" **

recurring_endstring · dateOptional

The date after which no further recurring authorizations should be performed. Format: YYYYMMDD ** Required for Recurring and Installment transactions, when authenticationIndicator="02" & "03" **

recurring_frequencynumber · max: 9999Optional

Conditional: Integer value indicating the minimum number of days between recurring authorizations. A frequency of monthly is indicated by the value 28. Multiple of 28 days will be used to indicate months. Example: 6 months = 168 ** Required for Recurring and Installment transactions, when authenticationIndicator="02" & "03" **

reorder_indicatorstring · enumOptional

Indicates whether the cardholder is placing an order with a future availability or release date. Possible Values: * 01 - Merchandise available * 02 - Future availability

Possible values:
requestor_idstring · max: 35Optional

This value is a Directory Server assigned 3DS Requestor ID value, each DS may provide a unique ID. NOTE: This is a 2.0 value only and if passed will override the Requestor ID value that is, configured on the Merchant's profile.

requestor_namestring · max: 40Optional

This value is a Directory Server assigned 3DS Requestor Name value, each DS may provide a unique ID. NOTE: This is a 2.0 value only and if passed will override the Requestor Name value that is configured on the Merchant's profile.

sdk_max_timeoutnumber · max: 99Optional

This field indicates the maximum amount of time for all 3DS 2.0 messages to be communicated between all components (in minutes). Possible Values: * Greater than or equal to 05 (05 is the minimum timeout to set) * Cardinal Default is set to 15 * NOTE: This field is a required 3DS 2.0 field and Cardinal sends in a default of 15 if nothing is passed.

shipping_address_1string · max: 50Optional

Conditional: Consumer's shipping address information.

Example: 8100 Tyler Blvd
shipping_address_2string · max: 50Optional

Conditional: Consumer's shipping address information.

Example: 1234 Test Street
shipping_address_3string · max: 50Optional

Conditional: Consumer's shipping address information.

Example: 5678 Test Street
shipping_address_usage_datestring · dateOptional

Date when the shipping address used for this transaction was first used. Format: YYYYMMDD

shipping_address_usage_indicatorstring · enumOptional

Indicates when the shipping address used for transaction was first used. Possible Values: * 01 - This transaction * 02 - Less than 30 days * 03 - 30-60 days * 04 - More than 60 days

Possible values:
shipping_citystring · max: 50Optional

Conditional: Consumer's city of their shipping address.

Example: Mentor
shipping_country_codestringOptional

Conditional: Consumer's alpha 2 digit ISO 3166 country code.

Example: US
shipping_method_indicatorstring · enumOptional

Indicates shipping method chosen for the transaction. Possible Values: * 01 - Ship to cardholder billing address * 02 - Ship to another verified address on file with merchant * 03 - Ship to address that is different than billing address * 04 - Ship to store (store address should be populated on request) * 05 - Digital goods * 06 - Travel and event tickets, not shipped * 07 - Other

Possible values:
shipping_name_indicatorstring · enumOptional

Indicates if the cardholder name on the account is identical to the shipping name used for the transaction. Possible Values: * 01 - Account and shipping name identical * 02 - Account and shipping name differ

Possible values:
shipping_postal_codestring · max: 16Optional

Conditional: Consumer's postal code of their shipping address.

Example: K44060
shipping_statestring · max: 50Optional

Conditional: Consumer's state or province of their shipping address. ISO 3166-2 format as sub division code.

Example: OH
threeds_contract_idstringRequired

The ID of the threeDSContractId used.

Example: 7076974d-04b9-4375-9814-e9313f6bd036
three_ri_indicatorstring · enumOptional

Indicates the type of 3RI request. Possible Values: * 01 - Recurring transaction * 02 - Installment transaction * 03 - Add card * 04 - Maintain card * 05 - Account verification * 06 - Split/delayed shipment * 07 - Top-up * 08 - Mail Order * 09 - Telephone Order * 10 - Whitelist status check * 11 - Other payment

Possible values:
threeds_versionstring · enumOptionalDeprecated

This field contains the 3DS version that can be leveraged to force a transaction down the 1.0 rails.

Possible values:
tokenstring · max: 100Optional

The third party token that will be used to process the transaction in place of the actual card number. NOTE: This field is required if Tokenization is enabled in the Merchant profile setting AND the Merchant is using a third party token in place of the Cardinal token.

Example: 1234567890
transaction_modestring · enumOptional

Transaction mode identifier. Identifies the channel the transaction originates from. Available Options: M - Moto (Mail Order Telephone Order) P - Mobile Device R - Retail (Physical Store) S - Computer Device T - Tablet Device

Possible values:
transaction_count_daynumber · max: 999Optional

Number of transactions (successful or abandoned) for this cardholder account within the last 24 hours.

transaction_count_yearnumber · max: 999Optional

Number of transactions (successful or abandoned) for this cardholder account within the last year.

total_itemsstring · min: 2 · max: 2Optional

Number of purchased items or services Possible Values: 00-99

work_phonestring · max: 25Optional

Conditional: Consumer's work phone number. ITU/E.123 format with international prefix (+PPNNNNNNNNN...)

Example: +10987654321
Responses
200

Successful

application/json
acs_rendering_typestringOptional

Identifies the UI Type the ACS will use to complete the challenge. NOTE: Only available for App transactions using the Cardinal Mobile SDK and is optional for an Issuer to return.

Example: 01
acs_transaction_idstringOptional

Unique transaction identifier assigned by the ACS to identify a single transaction.

Example: 9fe9a7d5-5e07-48c2-9fdd-a21fa274b1e9
acs_urlstringOptional

The fully qualified URL to redirect the Consumer to complete the Consumer Authentication transaction. NOTE: Available if Enrolled = Y

Example: https://0merchantacsstag.cardinalcommerce.com/MerchantACSWeb/creq.jsp
authentication_idstringOptional

Authentication ID for completing the 3D Secure flow. To complete the transaction, the value is required to be passed on the Authenticate message to link the Lookup and Authenticate message together.

Example: 8894172e-52b2-4815-82da-ca3c5f005268
authentication_typestringOptional

Indicates the type of authentication that will be used to challenge the card holder. Possible Values: 01 - Static 02 - Dynamic 03 - OOB (Out of Band)

Example: 01
authorization_payloadstringOptional

The Base64 encoded JSON Payload of CB specific Authorization Values returned in the Frictionless Flow.

Example: eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImVjaSI6IjA1IiwiYXV0aGVudGljYXRpb25WYWx1ZSI6IkFKa0JCa2hnUVFBQUFFNGdTRUp5ZFFBQUFBQT0iLCJlZmZlY3RpdmVBdXRoVHlwZSI6IkZSIiwiYWNzT3BlcmF0b3JJRCI6Ik1lcmNoYW50QUNTIiwidGhyZWVEU1JlcXVlc3RvckNoYWxsZW5nZUluZCI6IjAxIiwidHJhbnNTdGF0dXMiOiJZIiwiZHNUcmFuc0lEIjoiNzg4NDFhZGMtMDI1Mi00ZDE0LTg5ZTYtOWE0NzQ3YTE0NWRhIiwiYWNzVHJhbnNJRCI6IjlmZTlhN2Q1LTVlMDctNDhjMi05ZmRkLWEyMWZhMjc0YjFlOSIsIm1lc3NhZ2VWZXJzaW9uIjoiMi4yLjAiLCJtZXJjaGFudE5hbWUiOiJWZXJpRm9uZSIsInB1cmNoYXNlRGF0ZSI6IjIwMTkxMjMxMjM1OTU5IiwicHVyY2hhc2VBbW91bnQiOiI5ODg3NTYiLCJyZWN1cnJpbmdFeHBpcnkiOiIyMDE5MDgyMyIsImJyb3dzZXJJUCI6Ijg5LjE0Ni41OC44NyIsIm1lcmNoYW50Q291bnRyeUNvZGUiOiI4NDAiLCJhY3F1aXJlckJJTiI6IjEyMzQ1Njc4IiwiYWNxdWlyZXJNZXJjaGFudElEIjoiMTIzNDU2IiwidGhyZWVEU1JlcXVlc3Rvck5hbWUiOiJ2ZXJpZm9uZSIsInRocmVlRFNSZXF1ZXN0b3JJRCI6InZlcmlmb25lMjAiLCJjYXJkQnJhbmQiOiJWSVNBIn0=Pattern: ^(?:[A-Za-z0-9+\/]{2}[A-Za-z0-9+\/]{2})*(?:[A-Za-z0-9+\/]{2}==|[A-Za-z0-9+\/]{3}=)?$
cardholder_infostringOptional

Additional text provided by the Issuing Bank to the Cardholder during a Frictionless transaction and was not authenticated by the ACS. The Issuing Bank can optionally support this value.

Example: Additional authentication is required by the issuing bank for this transaction, please contact Anybank at 123-456-7890.
cavvstringOptional

Cardholder Authentication Verification Value (CAVV). This value should be appended to the authorization message signifying that the transaction has been successfully authenticated. It will be encoded according to the Merchant's configuration in either Base64 encoding or Hex encoding. A Base64 encoding Merchant configuration will produce values of 28 or 32 characters. A Hex encoding Merchant configuration will produce values of 40 or 48 characters. The value when decoded will either be 20 bytes for CAVV.

Example: Y2FyZGluYWxjb21tZXJjZWF1dGg=
cavv_algorithmstringOptional

Indicates the algorithm used to generate the CAVV value. Possible Values: 2 - CVV with ATN 3 - Mastercard SPA algorithm

Example: 2
challenge_requiredstringOptional

Indicates whether a challenge is required to complete authentication. For example, regional mandates. Possible Values: Y - Challenge Required N - Challenge Not Required

Example: N
card_brandstringOptional

Card Brand

Example: VISA
ds_transaction_idstringOptional

Unique transaction identifier assigned by the Directory Server (DS) to identify a single transaction. NOTE: Required for Mastercard Identity Check transaction in Authorization - Only available in EMV 3DS (3DS 2.0) transactions

Example: 78841adc-0252-4d14-89e6-9a4747a145da
eci_flagstringOptional

Electronic Commerce Indicator (ECI). The ECI value is part of the 2 data elements that indicate the transaction was processed electronically. This should be passed on the authorization transaction to the Gateway/Processor. Possible Values: 02 or 05 - Fully Authenticated Transaction 01 or 06 - Attempted Authentication Transaction 00 or 07 - Non 3D Secure Transaction Mastercard - 02, 01, 00 VISA - 05, 06, 07 AMEX - 05, 06, 07 JCB - 05, 06, 07 DINERS CLUB - 05, 06, 07 NOTE: 3DS 2.0 field

Example: 05
enrolledstringOptional

Status of Authentication eligibility. Possible Values: Y - Yes, Bank is participating in 3D Secure protocol and will return the ACSUrl N - No, Bank is not participating in 3D Secure protocol U - Unavailable, The DS or ACS is not available for authentication at the time of the request B - Bypass, Merchant authentication rule is triggered to bypass authentication in this use case NOTE: If the Enrolled value is NOT Y, then the Consumer is NOT eligible for Authentication.

Example: Y
error_descstringOptional

Application error description for the associated error number(s). NOTE: Multiple error descriptions are separated by a comma.

Example: Error Processing Message Request
error_nostringOptional

Application error number(s). A non-zero value represents the error encountered while attempting to process the message request. NOTE: Multiple error numbers are separated by a comma.

Example: 0
network_scorestring · max: 2Optional

The global score calculated by the CB Scoring platform..

Example: 99
order_idstringOptional

3DS server generated order identifier. Used to link multiple actions on a single order to a single identifier. Mod-10 compliant and unique BIN range to 3DS services.

Example: 8000725863630542
pares_statusstringOptional

Transactions status result identifier. Possible Values: Y - Successful Authentication N - Failed Authentication U - Unable to Complete Authentication A - Successful Attempts Transaction C - Challenge Required for Authentication R - Authentication Rejected (Merchant must not submit for authorization) NOTE: Statuses of C and R only apply to Consumer Authentication 2.0.,

Example: Y
payloadstringOptional

The encoded payment request generated by Centinel. NOTE: Available if Enrolled = Y

Example: eyJtZXNzYWdlVHlwZSI6IkNSZXEiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwidGhyZWVEU1NlcnZlclRyYW5zSUQiOiI4MmIwZmEwNS0yYzJkLTQyYzUtYWIyMi01ZjFhZjRjMGU4ZDEiLCJhY3NUcmFuc0lEIjoiN2NkMmNkZmEtNjA2YS00ODg4LWFjMmYtZGMyZTc1ODFlMjMwIiwiY2hhbGxlbmdlV2luZG93U2l6ZSI6IjAyIn0
reason_codestringOptional

The error code indicating a problem with this transaction.

Example: 1001
reason_descstringOptional

Text and additional detail about the error for this transaction. NOTE: This field concatenates the errorDescription and errorDetail from the authentication response message

Example: Error Processing Message Request
signature_verificationstringOptional

Transaction Signature status identifier. Possible Values: Y - Indicates that the signature of the PARes has been validated successfully and the message contents can be trusted. N - Indicates that the PARes could not be validated. This result could be for a variety of reasons; tampering, certificate expiration, etc., and the result should not be trusted.

Example: Y
status_reasonstringOptional

Provides additional information as to why the PAResStatus has the specific value. NOTE: Required for Payment (e.g. Authentication Indicator equals 01 on Lookup Request) transactions when PAResStatus is equal to N, U, or R in the Lookup Response

Example: 01
third_party_tokenstringOptional

Third Party Token that is returned from the token provider after a card number is specified on the request. NOTE: This field is returned if Tokenization is enabled in the Merchant profile setting AND the Merchant is using a third party token provider.

threeds_versionstringOptional

This field contains the 3DS version that was used to process the transaction. Possible Values: 1.0.2 2.1.0 NOTE: Required for Mastercard Identity Check transactions in Authorization

Example: 2.2.0
tokenstringOptional

Server generated order identifier. NOTE: This field is returned if Tokenization is enabled in the Merchant profile settings.

transaction_idstringOptional

To complete the transaction, the value is required to be passed on the Cardinal.Continue().

Example: 7SsMEhgljpXAbKOLqNA0
xidstringOptional

Third Party Token that is returned from the token provider after a card number is specified on the request. NOTE: This field is returned if Tokenization is enabled in the Merchant profile setting AND the Merchant is using a third party token provider.

Example: AgIAABTXCmieAEiwml9DlVAsiBI=
post
/v2/lookup

Last updated

Was this helpful?